import type { Event } from './LoggerTypes';

type LogType = {
  date: string;
  type: 'transmission' | 'extraction';
  event: Event;
};

export type LogBoundaryProps<T> = {
  fun: (...args: any[]) => Promise<T>;
  logSuccess: boolean;
  payload?: any;
  logType: LogType;
  dataType: string;
};

export type LogSelector = {
  dataType: string;
  message: {
    status: 'Success' | 'Failure';
    description: string;
  };
  logType: LogType;
};
